# ===================================
#  List Behavior Config
# ===================================

# Model List Column configuration
list: $/rainlab/user/models/usergroup/columns.yaml

# Model Class name
modelClass: RainLab\User\Models\UserGroup

# List Title
title: rainlab.user::lang.groups.list_title

# Link URL for each record
recordUrl: rainlab/user/usergroups/update/:id

# Message to display if the list is empty
noRecordsMessage: backend::lang.list.no_records

# Records to display per page
recordsPerPage: 20

# Displays the list column set up button
showSetup: true

# Displays the sorting link on each column
showSorting: true

# Default sorting column
# defaultSort:
#     column: created_at
#     direction: desc

# Display checkboxes next to each record
# showCheckboxes: true

# Toolbar widget configuration
toolbar:
    # Partial for toolbar buttons
    buttons: list_toolbar

    # Search widget configuration
    search:
        prompt: backend::lang.list.search_prompt
